import { OnInit } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class SingleLineEditorComponent implements OnInit, ControlValueAccessor {
    placeholder: string;
    editorMode: string;
    label: boolean;
    id: string;
    containerValue: any;
    sel: any;
    selectFunction: any;
    bold: boolean;
    italic: boolean;
    underline: boolean;
    showEditorControls: boolean;
    activeEditor: boolean;
    oldRange: any;
    controls: boolean;
    constructor();
    ngOnInit(): void;
    generateUID(): string;
    onChange: (value: any) => void;
    onTouched: () => void;
    setValue(): void;
    writeValue(value: string): void;
    registerOnChange(onChange: (value: string) => void): void;
    registerOnTouched(): void;
    show(e?: any): void;
    insertBold(): void;
    insertItalic(): void;
    insertUnderLine(): void;
    onblur(): void;
    setCaretToEnd(): void;
    showControls(): void;
    onPaste(event: ClipboardEvent): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SingleLineEditorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SingleLineEditorComponent, "app-single-line-editor", never, { "placeholder": { "alias": "placeholder"; "required": false; }; "editorMode": { "alias": "editorMode"; "required": false; }; "label": { "alias": "label"; "required": false; }; "id": { "alias": "id"; "required": false; }; }, {}, never, never, false, never>;
}
